#region StandardUsing
using System;
using QPlatform.CoreBase;
using QPlatform.HMIProject;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using QPlatform.NetLogic;
using QPlatform.UI;
using QPlatform.Alarm;
using QPlatform.EventLogger;
using QPlatform.OPCUAServer;
using QPlatform.Store;
using QPlatform.SQLiteStore;
using QPlatform.Recipe;
#endregion

public class FilteredAlarmHistoryGridLogic1 : QPlatform.NetLogic.BaseNetLogic
{
    public override void Start()
    {
        // After chekcing validity, we set a default time interval of 24 hours
        var toVariable = Owner.GetVariable("To");

        if (toVariable == null)
        {
            Log.Error("AlarmHistoryGridWithFilter", "Missing To variable");
            return;
        }

        if (toVariable.Value == null){
            Log.Error("AlarmHistoryGridWithFilter", "Missing To variable value");
            return;
        }

        toVariable.Value = DateTime.UtcNow;

        var fromVariable = Owner.GetVariable("From");

        if (fromVariable == null)
        {
            Log.Error("AlarmHistoryGridWithFilter", "Missing From variable");
            return;
        }

        if (fromVariable.Value == null){
            Log.Error("AlarmHistoryGridWithFilter", "Missing From variable value");
            return;
        }

        fromVariable.Value = DateTime.UtcNow.AddHours(-24);
        
    }


    public override void Stop()
    {
        // Insert code to be executed when the user-defined logic is stopped
    }
}
